<template lang="pug">
.input-group.input-group-sm.b-clickable.x-badge-button
  .input-group-prepend
    button.text-monospace.btn(type='button' :class='buttonClass')
      | {{ type }}
  span.x-badge.form-control.text-truncate.right.text-monospace.b-clickable.shadow-none(type='text' readonly='true' tabindex='-1'
    v-for='value, name in badges'
    :class='badgeClass' :value='value' :title='`${name}: ${value}`') {{ value }}
  slot(name='default' v-bind='{ ...$props, buttonClass, badgeClass }')
</template>
<script src='./BadgeButton.vue.js' />
<style lang='scss'>
.x-badge-button {
  .x-badge:last-child {
    border-top-right-radius: 0.25rem !important;
    border-bottom-right-radius: 0.25rem !important;
  }
}
</style>
